---
title: "Get Customer by ID"
url: "https://api-docs.centraldispatch.com/apis/membership-api-1-0-0/versions/565f78cb-7a6d-42ef-bd8b-1af2d1394eef/operations/getCustomerById"
---

> Full API specification: https://api-docs.centraldispatch.com/apis/membership-api-1-0-0/versions/565f78cb-7a6d-42ef-bd8b-1af2d1394eef.md

# Get Customer by ID

`GET` `/customers/id/{customerId}`

Operation ID: `getCustomerById`

Get a customer by ID

## Path parameters

- `customerId` (string, uuid, required) - The Central Dispatch customer ID of the customer.

## Header parameters

- `Accept` (string, required) - The major version of the API to make a request against. This is a custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to request a resource from version 1.x.x of an API, the Accept header should be set to `application/vnd.coxauto.v1+json`.

## Responses

- `200` - OK. Successful request.
- `401` - Unauthorized. Authentication failed or missing.
- `403` - Forbidden. The attempted action is not permitted.
- `404` - Not Found.
- `429` - Too Many Requests. Rate limit exceeded.
- `500` - Error.
- `503` - Service Unavailable. Temporary service interruption.

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Membership API
  version: 1.0.0
servers:
  - url: https://membership-api.centraldispatch.com
    description: Production server
paths:
  /customers/id/{customerId}:
    get:
      tags:
        - Customers
      summary: Get Customer by ID
      description: Get a customer by ID
      operationId: getCustomerById
      parameters:
        - name: customerId
          in: path
          description: The Central Dispatch customer ID of the customer.
          required: true
          schema:
            type: string
            format: uuid
          example: d5c62b14-cbd1-11ee-9a0e-0242ac110002
        - name: Accept
          in: header
          description: The major version of the API to make a request against. This is a
            custom MIME type that contains `vnd.coxauto.v[#]+`. For example, to
            request a resource from version 1.x.x of an API, the Accept header
            should be set to `application/vnd.coxauto.v1+json`.
          required: true
          schema:
            type: string
          example: application/vnd.coxauto.v1+json
      responses:
        "200":
          description: OK. Successful request.
          headers:
            X-CoxAuto-Media-Type:
              description: Contains the major version and format information.
              schema:
                type: string
              example: coxauto.v1; format=json
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomerResponse"
        "401":
          description: Unauthorized. Authentication failed or missing.
        "403":
          description: Forbidden. The attempted action is not permitted.
        "404":
          description: Not Found.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Errors"
        "429":
          description: Too Many Requests. Rate limit exceeded.
        "500":
          description: Error.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Errors"
        "503":
          description: Service Unavailable. Temporary service interruption.
      security:
        - Bearer: []
security:
  - Bearer: []
components:
  schemas:
    CustomerResponse:
      type: object
      properties:
        companyName:
          type: string
          description: The name of the company.
          nullable: true
          example: Smart Logistics
        email:
          type: string
          description: The email address of the contact. Must be a valid email address
            format.
          nullable: true
          example: contact@aculogistics.com
        phoneNumbers:
          type: array
          items:
            $ref: "#/components/schemas/PhoneResponse"
          description: A collection of phone numbers associated with the customer.
          nullable: true
        addresses:
          type: array
          items:
            $ref: "#/components/schemas/AddressResponse"
          description: A collection of addresses associated with the customer.
          nullable: true
        customerAuthorityNumbers:
          type: array
          items:
            $ref: "#/components/schemas/AuthorityNumberResponse"
          description: A collection of authority numbers associated with the customer.
          nullable: true
        customerId:
          type: string
          description: The Central Dispatch customer ID of the customer.
          format: uuid
          nullable: true
          example: d5c62b14-cbd1-11ee-9a0e-0242ac110002
        accessPaused:
          type: boolean
          description: Indicates if the company has temporarily lost access to their
            account due to security reasons.
          nullable: true
          example: true
      description: A customer record.
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: "#/components/schemas/Error"
          description: A collection of errors.
          nullable: true
      description: An error occurred, and the request could not be completed.
    PhoneResponse:
      type: object
      properties:
        phoneNumber:
          type: string
          description: The phone number of the contact.
          nullable: true
          example: 949-555-1323
        type:
          type: string
          description: The type of phone number (e.g., BILLING, LISTING, LOCAL).
          nullable: true
          example: LOCAL
        extension:
          type: string
          description: The phone number extension.
          nullable: true
          example: "303"
        notes:
          type: string
          description: Additional notes about the phone number.
          nullable: true
          example: Primary contact number
      description: Details of a customer's phone number.
    AddressResponse:
      type: object
      properties:
        streetAddress:
          type: string
          description: The street address.
          nullable: true
          example: 345 W Elm St.
        streetAddress2:
          type: string
          description: Additional street address line.
          nullable: true
          example: 2nd Floor
        city:
          type: string
          description: The city.
          nullable: true
          example: Anaheim
        state:
          type: string
          description: The state.
          nullable: true
          example: CA
        zipcode:
          type: string
          description: The ZIP code. Must be a valid United States ZIP code or Canadian
            postal code.
          nullable: true
          example: "92802"
        type:
          type: string
          description: The type of address (e.g., PRIMARY, LOCAL, BILLING).
          nullable: true
          example: PRIMARY
      description: Details of a customer's address.
    AuthorityNumberResponse:
      type: object
      properties:
        number:
          type: string
          description: The authority number assigned to the customer.
          nullable: true
          example: DL 01-00673-10
        verified:
          type: boolean
          description: Indicates whether the authority number is verified.
          nullable: true
          example: true
        type:
          type: string
          description: The type of authority number.
          nullable: true
          example: DEALER_LICENSE
      description: Details of a customer's authority number.
    Error:
      type: object
      properties:
        code:
          type: string
          description: The code used for the issue.
          nullable: true
          example: resource.issue_type
        message:
          type: string
          description: A detailed message.
          nullable: true
          example: The issue happened because something is wrong.
        property:
          type: string
          description: The property to which the issue is associated.
          nullable: true
          example: person
        properties:
          type: object
          additionalProperties:
            type: string
          description: Additional properties related to the issue.
          nullable: true
          example:
            firstName: D0nn@
            lastName: Sm!th
      description: Details of an error or issue.
  securitySchemes:
    Bearer:
      type: http
      scheme: Bearer
```
